Package ru.bitel.bgbilling.modules.cerbercrypt.server.bean

# Enum Class TariffRequestManager.AutosyncOnMode

java.lang.Object
java.lang.Enum<TariffRequestManager.AutosyncOnMode>
ru.bitel.bgbilling.modules.cerbercrypt.server.bean.TariffRequestManager.AutosyncOnMode

All Implemented Interfaces:
  `Serializable`, `Comparable<TariffRequestManager.AutosyncOnMode>`, `Constable`

Enclosing class:
  `TariffRequestManager`

public static enum TariffRequestManager.AutosyncOnMode extends Enum<TariffRequestManager.AutosyncOnMode>
место действия автосинхронизации карты

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ONCARDADD`
  `ONTARIFFCHANGE`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static TariffRequestManager.AutosyncOnMode`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static TariffRequestManager.AutosyncOnMode[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### ONCARDADD

    public static final TariffRequestManager.AutosyncOnMode ONCARDADD

  - ### ONTARIFFCHANGE

    public static final TariffRequestManager.AutosyncOnMode ONTARIFFCHANGE

- ## Method Details

  - ### values

    public static TariffRequestManager.AutosyncOnMode[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static TariffRequestManager.AutosyncOnMode valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null